commit:     5bd9e9a3b9ba3c633fcc724caa2b358808ca8b1c
Author:     Vladimir Pavljuchenkov (SpiderX) <spiderx <AT> spiderx <DOT> dp 
<DOT> ua>
AuthorDate: Sun Jun 17 18:57:48 2018 +0000
Commit:     Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
CommitDate: Thu Jun 21 14:51:40 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5bd9e9a3

app-admin/qtpass: version bump to 1.2.3

fix test stage (wrt #655896)

Closes: https://bugs.gentoo.org/655896
Closes: https://github.com/gentoo/gentoo/pull/8879
Package-Manager: Portage-2.3.40, Repoman-2.3.9

 app-admin/qtpass/Manifest            |  1 +
 app-admin/qtpass/qtpass-1.2.3.ebuild | 63 ++++++++++++++++++++++++++++++++++++
 2 files changed, 64 insertions(+)

diff --git a/app-admin/qtpass/Manifest b/app-admin/qtpass/Manifest
index 0d1ae76af59..d66d6526ad3 100644
--- a/app-admin/qtpass/Manifest
+++ b/app-admin/qtpass/Manifest
@@ -1,2 +1,3 @@
 DIST qtpass-1.2.1.tar.gz 361147 BLAKE2B 
f46ce4362d4d3e0c0b0a425e5a40cf013181b899d5b1a2efc03cc5c4a3eca2d3ce1cdca78fdb95e8fecae23ffe56c01dbe65c9d07e2fff48934e995a710aac40
 SHA512 
3621a46aab5db5a41e80aea10bc6baf662510bcb249a1f56d33492aa66c824d9f018164f2d6a70256a7b3d59a9b73c4c8459b5d3fbe19886a607f8f0dc7410c1
 DIST qtpass-1.2.2.tar.gz 366601 BLAKE2B 
7b06926465e7d7cbb837cf87b47a89b114b9ae9c508aa558695744c84a00a58a8922155eda3f91a6350354668b381381be757db07f201798a2ee25685e034871
 SHA512 
cb480357b161573054b752af25f20757057de5c5b2e55619e3fa594c5d9b63c7036b72c0ae7735f8ec197ac8aa43b7fdfbc836b29fbe4c85de8dc5d93ce7bbd2
+DIST qtpass-1.2.3.tar.gz 369412 BLAKE2B 
55e8f5e7967b264b20aa044979620631f319e2ff38edcc4e1390ab5d9f35e1e90ff8ff00c94cd35a9b5c05a5ccd8d8fdfc97214e9bd9f564bae1bd80efe0f224
 SHA512 
d6c3af5b92042a38afecb40689d41c08105dd2a39555f78ebc585a6db6dd65cd8fd6dc637542dd3b5b4ce18f1a852768ffa298b5a461a2d0e4ef4950c58d1649

diff --git a/app-admin/qtpass/qtpass-1.2.3.ebuild 
b/app-admin/qtpass/qtpass-1.2.3.ebuild
new file mode 100644
index 00000000000..c51253b0847
--- /dev/null
+++ b/app-admin/qtpass/qtpass-1.2.3.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+MY_P="QtPass-${PV}"
+
+inherit desktop qmake-utils virtualx
+
+DESCRIPTION="multi-platform GUI for pass, the standard unix password manager"
+HOMEPAGE="https://qtpass.org/";
+SRC_URI="https://github.com/IJHack/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="app-admin/pass
+       dev-qt/qtcore:5
+       dev-qt/qtgui:5[xcb]
+       dev-qt/qtnetwork:5
+       dev-qt/qtwidgets:5
+       net-misc/x11-ssh-askpass"
+DEPEND="${RDEPEND}
+       dev-qt/linguist-tools:5
+       dev-qt/qtsvg:5
+       test? ( dev-qt/qttest:5 )"
+
+S="${WORKDIR}/${MY_P}"
+
+DOCS=( {CHANGELOG,CONTRIBUTING,FAQ,README}.md )
+
+src_prepare() {
+       default
+
+       if ! use test ; then
+               sed -i '/SUBDIRS += src /s/tests //' \
+                       qtpass.pro || die "sed for qtpass.pro failed"
+       fi
+}
+
+src_configure() {
+       eqmake5 PREFIX="${D}"/usr
+}
+
+src_test() {
+       virtx default
+}
+
+src_install() {
+       default
+
+       insinto /usr/share/"${PN}"/translations
+       doins localization/*.qm
+
+       doman "${PN}".1
+       insinto /usr/share/applications
+       doins "${PN}".desktop
+       newicon artwork/icon.png "${PN}"-icon.png
+       insinto /usr/share/appdata
+       doins qtpass.appdata.xml
+}

Reply via email to